Bug 727993 - [abrt] ibus-1.3.99.20110419-12.fc15: __GI_raise: Process /usr/bin/ibus-daemon was killed by signal 6 (SIGABRT)
[abrt] ibus-1.3.99.20110419-12.fc15: __GI_raise: Process /usr/bin/ibus-daemon...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
abrt_hash:91ac98d5877d534e67decd03dc9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-03 17:14 EDT by Jacek Pawlyta
Modified: 2011-09-28 21:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-28 21:17:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jacek Pawlyta 2011-08-03 17:14:13 EDT
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        /usr/bin/ibus-daemon -r --xim
comment:        resume from suspend to ram
component:      ibus
crash_function: __GI_raise
executable:     /usr/bin/ibus-daemon
kernel:         3.0.0-2.fc16.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        ibus-1.3.99.20110419-12.fc15
reason:         Process /usr/bin/ibus-daemon was killed by signal 6 (SIGABRT)
time:           Wed Aug  3 21:11:32 2011
uid:            500
username:       jacek
var_log_messages: Aug  3 21:11:32 jacek abrt[25544]: saved core dump of pid 8503 (/usr/bin/ibus-daemon) to /var/spool/abrt/ccpp-2011-08-03-21:11:32-8503.new/coredump (53755904 bytes)

backtrace:
:Missing separate debuginfo for 
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/ba/1c7a0dc551e4668aab8cfde55144a0f32cb4b4
:[New LWP 8503]
:[New LWP 8517]
:[New LWP 8526]
:[Thread debugging using libthread_db enabled]
:Core was generated by `/usr/bin/ibus-daemon -r --xim'.
:Program terminated with signal 6, Aborted.
:#0  0x0000003d2c2352d5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
:
:Thread 3 (Thread 0x7f9d1fbf9700 (LWP 8526)):
:#0  0x0000003d2c2d7293 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
:        resultvar = <optimized out>
:        oldtype = 0
:        result = <optimized out>
:#1  0x0000003d2ee42d24 in g_main_context_poll (n_fds=55, fds=0x7f9d0804c820, priority=<optimized out>, timeout=-1, context=0x7f9d10004400) at gmain.c:3405
:        poll_func = 0x3d2ee51310 <g_poll>
:#2  g_main_context_iterate (context=0x7f9d10004400, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3087
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = <optimized out>
:        nfds = 55
:        allocated_nfds = <optimized out>
:        fds = 0x7f9d0804c820
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#3  0x0000003d2ee4360d in g_main_loop_run (loop=0x7f9d10001230) at gmain.c:3300
:        self = 0x7f9d100044f0
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#4  0x0000003d342b4564 in gdbus_shared_thread_func (data=<optimized out>) at gdbusprivate.c:276
:No locals.
:#5  0x0000003d2ee683a6 in g_thread_create_proxy (data=0x7f9d100044f0) at gthread.c:1955
:        thread = 0x7f9d100044f0
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#6  0x0000003d2ce07af1 in start_thread (arg=0x7f9d1fbf9700) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0x7f9d1fbf9700
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 8881018700416532985, 140312836023728, 140312819243456, 0, 3, -8933584703692357127, 8882768299680580089}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = 0
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#7  0x0000003d2c2dfb7d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
:No locals.
:
:Thread 2 (Thread 0x7f9d223fe700 (LWP 8517)):
:#0  0x0000003d2ce0dfdd in read () at ../sysdeps/unix/syscall-template.S:82
:No locals.
:#1  0x0000003d2ee4468b in read (__nbytes=20, __buf=0x7f9d223fddb0, __fd=<optimized out>) at /usr/include/bits/unistd.h:45
:No locals.
:#2  child_watch_helper_thread (data=<optimized out>) at gmain.c:4315
:        b = "B", '\000' <repeats 18 times>
:        list = <optimized out>
:#3  0x0000003d2ee683a6 in g_thread_create_proxy (data=0x724970) at gthread.c:1955
:        thread = 0x724970
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#4  0x0000003d2ce07af1 in start_thread (arg=0x7f9d223fe700) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0x7f9d223fe700
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 8881018700416532985, 140737237237840, 140312861206976, 0, 3, -8933467053263830535, 8882768299680580089}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = 0
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#5  0x0000003d2c2dfb7d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
:No locals.
:
:Thread 1 (Thread 0x7f9d28a2f7c0 (LWP 8503)):
:#0  0x0000003d2c2352d5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:        resultvar = 0
:        pid = <optimized out>
:        selftid = <optimized out>
:#1  0x0000003d2c236beb in __GI_abort () at abort.c:93
:        save_stage = 2
:        act = {__sigaction_handler = {sa_handler = 0x7e5980, sa_sigaction = 0x7e5980}, sa_mask = {__val = {262779824354, 140312421158176, 262779843617, 0, 32, 140312421158176, 140312421158176, 8593584, 8593584, 8271200, 8593584, 144, 1, 0, 262779737923, 140312421158176}}, sa_flags = 786849946, sa_restorer = 0x79}
:        sigs = {__val = {32, 0 <repeats 15 times>}}
:#2  0x0000003d2ee665bd in g_assertion_message (domain=<optimized out>, file=<optimized out>, line=<optimized out>, func=0x3d342ef7a0 "call_in_idle_cb", message=0x7e5980 "assertion failed: (vtable != NULL && vtable->method_call != NULL)") at gtestutils.c:1358
:        lstr = "4425\000\177\000\000\300@\b\361\377\177\000\000\200g\021/=\000\000\000\350\353.4=\000\000"
:        s = 0x7e3560 "\240 \203"
:#3  0x0000003d2ee66ae2 in g_assertion_message_expr (domain=0x3d342d2b81 "GLib-GIO", file=0x3d342edd54 "gdbusconnection.c", line=4425, func=0x3d342ef7a0 "call_in_idle_cb", expr=<optimized out>) at gtestutils.c:1369
:        s = <optimized out>
:#4  0x0000003d342a6146 in call_in_idle_cb (user_data=0x7f9d08028920) at gdbusconnection.c:4425
:        invocation = 0x7f9d08028920 [GDBusMethodInvocation]
:        vtable = 0x8467c0
:        registration_id = <optimized out>
:        subtree_registration_id = <optimized out>
:        __PRETTY_FUNCTION__ = "call_in_idle_cb"
:#5  0x0000003d2ee427ed in g_main_dispatch (context=0x7208a0) at gmain.c:2441
:        dispatch = 0x3d2ee3e750 <g_idle_dispatch>
:        was_in_call = 0
:        user_data = 0x7f9d08028920
:        callback = 0x3d342a5f70 <call_in_idle_cb>
:        cb_funcs = 0x3d2f115c50
:        cb_data = 0x7f9d0800dd00
:        current_source_link = {data = 0x7f9d0803e070, next = 0x0}
:        need_destroy = <optimized out>
:        source = 0x7f9d0803e070
:        current = 0x6bf840
:        i = <optimized out>
:#6  g_main_context_dispatch (context=0x7208a0) at gmain.c:3014
:No locals.
:#7  0x0000003d2ee42fc8 in g_main_context_iterate (context=0x7208a0, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3092
:        max_priority = 0
:        timeout = 0
:        some_ready = 1
:        nfds = 3
:        allocated_nfds = <optimized out>
:        fds = <optimized out>
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#8  0x0000003d2ee4360d in g_main_loop_run (loop=0x724b00) at gmain.c:3300
:        self = 0x666d50
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#9  0x00000000004185de in bus_server_run () at server.c:137
:        __PRETTY_FUNCTION__ = "bus_server_run"
:#10 0x0000000000406da8 in main (argc=1, argv=0x7ffff1084448) at main.c:291
:        context = <optimized out>
:        error = 0x0
:From                To                  Syms Read   Shared Object Library
:0x0000003d342294a0  0x0000003d342d2b3c  Yes         /lib64/libgio-2.0.so.0.2800.8
:0x0000003d2fe09970  0x0000003d2fe39dcc  Yes         /lib64/libgobject-2.0.so.0.2800.8
:0x0000003d33e00fe0  0x0000003d33e01f8c  Yes         /lib64/libgmodule-2.0.so.0.2800.8
:0x0000003d2fa01560  0x0000003d2fa02a2c  Yes         /lib64/libgthread-2.0.so.0.2800.8
:0x0000003d2d602160  0x0000003d2d6053ec  Yes         /lib64/librt-2.14.so
:0x0000003d2ee16cd0  0x0000003d2eeadbec  Yes         /lib64/libglib-2.0.so.0.2800.8
:0x0000003b1a60d330  0x0000003b1a62998c  Yes         /usr/lib64/libibus-1.0.so.0.0.0
:0x0000003d2ce05640  0x0000003d2ce1038c  Yes         /lib64/libpthread-2.14.so
:0x0000003d2c21ece0  0x0000003d2c34304c  Yes         /lib64/libc-2.14.so
:0x0000003d2ca00de0  0x0000003d2ca0191c  Yes         /lib64/libdl-2.14.so
:0x0000003d2f203840  0x0000003d2f21354c  Yes         /lib64/libresolv-2.14.so
:0x0000003d2da01e70  0x0000003d2da0e67c  Yes         /lib64/libz.so.1.2.5
:0x0000003d2de05980  0x0000003d2de159dc  Yes         /lib64/libselinux.so.1
:0x0000003d2be00b20  0x0000003d2be18caa  Yes         /lib64/ld-2.14.so
:0x00007f9d22401170  0x00007f9d224088ac  Yes         /lib64/libnss_files-2.14.so
:$1 = 0x0
:$2 = 0x6dda30 "GLib-GIO:ERROR:gdbusconnection.c:4425:call_in_idle_cb: assertion failed: (vtable != NULL && vtable->method_call != NULL)"
:rax            0x0	0
:rbx            0x7e3560	8271200
:rcx            0xffffffffffffffff	-1
:rdx            0x6	6
:rsi            0x2137	8503
:rdi            0x2137	8503
:rbp            0x3d2f116400	0x3d2f116400
:rsp            0x7ffff1083f48	0x7ffff1083f48
:r8             0x20	32
:r9             0x3d2c32f280	262734541440
:r10            0x8	8
:r11            0x202	514
:r12            0x3d342ef7a0	262868498336
:r13            0x7e5980	8280448
:r14            0x3d2f115c50	262782671952
:r15            0x7208a0	7473312
:rip            0x3d2c2352d5	0x3d2c2352d5 <__GI_raise+53>
:eflags         0x202	[ IF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function __GI_raise:
:   0x0000003d2c2352a0 <+0>:	mov    %fs:0x2d4,%eax
:   0x0000003d2c2352a8 <+8>:	mov    %fs:0x2d0,%esi
:   0x0000003d2c2352b0 <+16>:	test   %esi,%esi
:   0x0000003d2c2352b2 <+18>:	jne    0x3d2c2352e0 <__GI_raise+64>
:   0x0000003d2c2352b4 <+20>:	mov    $0xba,%eax
:   0x0000003d2c2352b9 <+25>:	syscall 
:   0x0000003d2c2352bb <+27>:	mov    %eax,%esi
:   0x0000003d2c2352bd <+29>:	mov    %eax,%fs:0x2d0
:   0x0000003d2c2352c5 <+37>:	movslq %edi,%rdx
:   0x0000003d2c2352c8 <+40>:	movslq %esi,%rsi
:   0x0000003d2c2352cb <+43>:	movslq %eax,%rdi
:   0x0000003d2c2352ce <+46>:	mov    $0xea,%eax
:   0x0000003d2c2352d3 <+51>:	syscall 
:=> 0x0000003d2c2352d5 <+53>:	cmp    $0xfffffffffffff000,%rax
:   0x0000003d2c2352db <+59>:	ja     0x3d2c2352ef <__GI_raise+79>
:   0x0000003d2c2352dd <+61>:	repz retq 
:   0x0000003d2c2352df <+63>:	nop
:   0x0000003d2c2352e0 <+64>:	test   %eax,%eax
:   0x0000003d2c2352e2 <+66>:	jg     0x3d2c2352c5 <__GI_raise+37>
:   0x0000003d2c2352e4 <+68>:	test   $0x7fffffff,%eax
:   0x0000003d2c2352e9 <+73>:	je     0x3d2c235300 <__GI_raise+96>
:   0x0000003d2c2352eb <+75>:	neg    %eax
:   0x0000003d2c2352ed <+77>:	jmp    0x3d2c2352c5 <__GI_raise+37>
:   0x0000003d2c2352ef <+79>:	mov    0x35ccb2(%rip),%rdx        # 0x3d2c591fa8
:   0x0000003d2c2352f6 <+86>:	neg    %eax
:   0x0000003d2c2352f8 <+88>:	mov    %eax,%fs:(%rdx)
:   0x0000003d2c2352fb <+91>:	or     $0xffffffffffffffff,%rax
:   0x0000003d2c2352ff <+95>:	retq   
:   0x0000003d2c235300 <+96>:	mov    %esi,%eax
:   0x0000003d2c235302 <+98>:	jmp    0x3d2c2352c5 <__GI_raise+37>
:End of assembler dump.

dso_list:
:/lib64/libdl-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309770360
:/usr/lib/locale/locale-archive glibc-common-2.14-4.x86_64 (Fedora Project) 1309770377
:/lib64/ld-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309770360
:/lib64/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307738314
:/lib64/librt-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309770360
:/lib64/libresolv-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309770360
:/lib64/libpthread-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309770360
:/lib64/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307738314
:/lib64/libc-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309770360
:/usr/lib64/libibus-1.0.so.0.0.0 ibus-libs-1.3.99.20110419-12.fc15.x86_64 (Fedora Project) 1311711949
:/usr/bin/ibus-daemon ibus-1.3.99.20110419-12.fc15.x86_64 (Fedora Project) 1311711966
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307738314
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1302073509
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307738314
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1299849143
:/lib64/libnss_files-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309770360
:/lib64/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307738314

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-LhwOhiYhKB,guid=a33fef1a294a29b2fbc0c2a400010950
:XDM_MANAGED=method=classic
:XDG_SESSION_COOKIE=715d470ab62efb7757b7b32b00000015-1312188770.283434-495761841
:XDG_RUNTIME_DIR=/run/user/jacek
:DISPLAY=:0
:DESKTOP_SESSION=kde-plasma
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/games
:DM_CONTROL=/var/run/xdmctl
:XDG_SESSION_ID=49
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-LhwOhiYhKB,guid=a33fef1a294a29b2fbc0c2a400010950
:XAUTHORITY=/var/run/kdm/.Xauth9PDTMb
:USER=jacek
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=7849
:SHLVL=1
:PWD=/home/jacek
:GNOME_KEYRING_CONTROL=/tmp/keyring-RjpSj4
:LANG=en_US.UTF-8
:_=/usr/bin/dbus-launch
:LOGNAME=jacek
:HOME=/home/jacek
:LC_CTYPE=en_US.UTF-8
:GTK_IM_MODULE=ibus
:QT_IM_MODULE=ibus
:XMODIFIERS=@im=ibus

maps:
:00400000-00429000 r-xp 00000000 fd:01 2390785                            /usr/bin/ibus-daemon
:00629000-0062c000 rw-p 00029000 fd:01 2390785                            /usr/bin/ibus-daemon
:00663000-0084e000 rw-p 00000000 00:00 0                                  [heap]
:3b1a600000-3b1a642000 r-xp 00000000 fd:01 2362550                        /usr/lib64/libibus-1.0.so.0.0.0
:3b1a642000-3b1a841000 ---p 00042000 fd:01 2362550                        /usr/lib64/libibus-1.0.so.0.0.0
:3b1a841000-3b1a844000 rw-p 00041000 fd:01 2362550                        /usr/lib64/libibus-1.0.so.0.0.0
:3d2be00000-3d2be1f000 r-xp 00000000 fd:01 2228236                        /lib64/ld-2.14.so
:3d2c01e000-3d2c01f000 r--p 0001e000 fd:01 2228236                        /lib64/ld-2.14.so
:3d2c01f000-3d2c020000 rw-p 0001f000 fd:01 2228236                        /lib64/ld-2.14.so
:3d2c020000-3d2c021000 rw-p 00000000 00:00 0 
:3d2c200000-3d2c38f000 r-xp 00000000 fd:01 2228243                        /lib64/libc-2.14.so
:3d2c38f000-3d2c58e000 ---p 0018f000 fd:01 2228243                        /lib64/libc-2.14.so
:3d2c58e000-3d2c592000 r--p 0018e000 fd:01 2228243                        /lib64/libc-2.14.so
:3d2c592000-3d2c593000 rw-p 00192000 fd:01 2228243                        /lib64/libc-2.14.so
:3d2c593000-3d2c599000 rw-p 00000000 00:00 0 
:3d2ca00000-3d2ca02000 r-xp 00000000 fd:01 2228463                        /lib64/libdl-2.14.so
:3d2ca02000-3d2cc02000 ---p 00002000 fd:01 2228463                        /lib64/libdl-2.14.so
:3d2cc02000-3d2cc03000 r--p 00002000 fd:01 2228463                        /lib64/libdl-2.14.so
:3d2cc03000-3d2cc04000 rw-p 00003000 fd:01 2228463                        /lib64/libdl-2.14.so
:3d2ce00000-3d2ce16000 r-xp 00000000 fd:01 2228580                        /lib64/libpthread-2.14.so
:3d2ce16000-3d2d015000 ---p 00016000 fd:01 2228580                        /lib64/libpthread-2.14.so
:3d2d015000-3d2d016000 r--p 00015000 fd:01 2228580                        /lib64/libpthread-2.14.so
:3d2d016000-3d2d017000 rw-p 00016000 fd:01 2228580                        /lib64/libpthread-2.14.so
:3d2d017000-3d2d01b000 rw-p 00000000 00:00 0 
:3d2d600000-3d2d607000 r-xp 00000000 fd:01 2228631                        /lib64/librt-2.14.so
:3d2d607000-3d2d806000 ---p 00007000 fd:01 2228631                        /lib64/librt-2.14.so
:3d2d806000-3d2d807000 r--p 00006000 fd:01 2228631                        /lib64/librt-2.14.so
:3d2d807000-3d2d808000 rw-p 00007000 fd:01 2228631                        /lib64/librt-2.14.so
:3d2da00000-3d2da16000 r-xp 00000000 fd:01 2228460                        /lib64/libz.so.1.2.5
:3d2da16000-3d2dc16000 ---p 00016000 fd:01 2228460                        /lib64/libz.so.1.2.5
:3d2dc16000-3d2dc17000 rw-p 00016000 fd:01 2228460                        /lib64/libz.so.1.2.5
:3d2de00000-3d2de1d000 r-xp 00000000 fd:01 2228573                        /lib64/libselinux.so.1
:3d2de1d000-3d2e01c000 ---p 0001d000 fd:01 2228573                        /lib64/libselinux.so.1
:3d2e01c000-3d2e01d000 r--p 0001c000 fd:01 2228573                        /lib64/libselinux.so.1
:3d2e01d000-3d2e01e000 rw-p 0001d000 fd:01 2228573                        /lib64/libselinux.so.1
:3d2e01e000-3d2e01f000 rw-p 00000000 00:00 0 
:3d2ee00000-3d2ef15000 r-xp 00000000 fd:01 2228633                        /lib64/libglib-2.0.so.0.2800.8
:3d2ef15000-3d2f115000 ---p 00115000 fd:01 2228633                        /lib64/libglib-2.0.so.0.2800.8
:3d2f115000-3d2f116000 rw-p 00115000 fd:01 2228633                        /lib64/libglib-2.0.so.0.2800.8
:3d2f116000-3d2f117000 rw-p 00000000 00:00 0 
:3d2f200000-3d2f217000 r-xp 00000000 fd:01 2228514                        /lib64/libresolv-2.14.so
:3d2f217000-3d2f417000 ---p 00017000 fd:01 2228514                        /lib64/libresolv-2.14.so
:3d2f417000-3d2f418000 r--p 00017000 fd:01 2228514                        /lib64/libresolv-2.14.so
:3d2f418000-3d2f419000 rw-p 00018000 fd:01 2228514                        /lib64/libresolv-2.14.so
:3d2f419000-3d2f41b000 rw-p 00000000 00:00 0 
:3d2fa00000-3d2fa04000 r-xp 00000000 fd:01 2228634                        /lib64/libgthread-2.0.so.0.2800.8
:3d2fa04000-3d2fc03000 ---p 00004000 fd:01 2228634                        /lib64/libgthread-2.0.so.0.2800.8
:3d2fc03000-3d2fc04000 rw-p 00003000 fd:01 2228634                        /lib64/libgthread-2.0.so.0.2800.8
:3d2fe00000-3d2fe4c000 r-xp 00000000 fd:01 2228636                        /lib64/libgobject-2.0.so.0.2800.8
:3d2fe4c000-3d3004b000 ---p 0004c000 fd:01 2228636                        /lib64/libgobject-2.0.so.0.2800.8
:3d3004b000-3d3004d000 rw-p 0004b000 fd:01 2228636                        /lib64/libgobject-2.0.so.0.2800.8
:3d3004d000-3d3004e000 rw-p 00000000 00:00 0 
:3d33e00000-3d33e03000 r-xp 00000000 fd:01 2228642                        /lib64/libgmodule-2.0.so.0.2800.8
:3d33e03000-3d34002000 ---p 00003000 fd:01 2228642                        /lib64/libgmodule-2.0.so.0.2800.8
:3d34002000-3d34003000 rw-p 00002000 fd:01 2228642                        /lib64/libgmodule-2.0.so.0.2800.8
:3d34200000-3d34321000 r-xp 00000000 fd:01 2228698                        /lib64/libgio-2.0.so.0.2800.8
:3d34321000-3d34520000 ---p 00121000 fd:01 2228698                        /lib64/libgio-2.0.so.0.2800.8
:3d34520000-3d34526000 rw-p 00120000 fd:01 2228698                        /lib64/libgio-2.0.so.0.2800.8
:3d34526000-3d34527000 rw-p 00000000 00:00 0 
:7f9d08000000-7f9d0805a000 rw-p 00000000 00:00 0 
:7f9d0805a000-7f9d0c000000 ---p 00000000 00:00 0 
:7f9d0c000000-7f9d0c021000 rw-p 00000000 00:00 0 
:7f9d0c021000-7f9d10000000 ---p 00000000 00:00 0 
:7f9d10000000-7f9d10022000 rw-p 00000000 00:00 0 
:7f9d10022000-7f9d14000000 ---p 00000000 00:00 0 
:7f9d14000000-7f9d14022000 rw-p 00000000 00:00 0 
:7f9d14022000-7f9d18000000 ---p 00000000 00:00 0 
:7f9d18000000-7f9d18022000 rw-p 00000000 00:00 0 
:7f9d18022000-7f9d1c000000 ---p 00000000 00:00 0 
:7f9d1f3f9000-7f9d1f3fa000 ---p 00000000 00:00 0 
:7f9d1f3fa000-7f9d1fbfa000 rw-p 00000000 00:00 0 
:7f9d1fbfa000-7f9d1fbfb000 ---p 00000000 00:00 0 
:7f9d1fbfb000-7f9d203fb000 rw-p 00000000 00:00 0 
:7f9d203fb000-7f9d203fc000 ---p 00000000 00:00 0 
:7f9d203fc000-7f9d20bfc000 rw-p 00000000 00:00 0 
:7f9d20bfc000-7f9d20bfd000 ---p 00000000 00:00 0 
:7f9d20bfd000-7f9d213fd000 rw-p 00000000 00:00 0 
:7f9d213fd000-7f9d213fe000 ---p 00000000 00:00 0 
:7f9d213fe000-7f9d21bfe000 rw-p 00000000 00:00 0 
:7f9d21bfe000-7f9d21bff000 ---p 00000000 00:00 0 
:7f9d21bff000-7f9d223ff000 rw-p 00000000 00:00 0 
:7f9d223ff000-7f9d2240b000 r-xp 00000000 fd:01 2228342                    /lib64/libnss_files-2.14.so
:7f9d2240b000-7f9d2260a000 ---p 0000c000 fd:01 2228342                    /lib64/libnss_files-2.14.so
:7f9d2260a000-7f9d2260b000 r--p 0000b000 fd:01 2228342                    /lib64/libnss_files-2.14.so
:7f9d2260b000-7f9d2260c000 rw-p 0000c000 fd:01 2228342                    /lib64/libnss_files-2.14.so
:7f9d2260c000-7f9d28a2f000 r--p 00000000 fd:01 2393159                    /usr/lib/locale/locale-archive
:7f9d28a2f000-7f9d28a37000 rw-p 00000000 00:00 0 
:7f9d28a6a000-7f9d28a6b000 rw-p 00000000 00:00 0 
:7ffff1065000-7ffff1086000 rw-p 00000000 00:00 0                          [stack]
:7ffff10a8000-7ffff10a9000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Comment 1 fujiwara 2011-08-08 04:02:30 EDT
I cannot reproduce your problem.
Do you still see your problem?
How do you reproduce your problem?

> :#0  0x0000003d2c2352d5 in __GI_raise (sig=6) at
> ../nptl/sysdeps/unix/sysv/linux/raise.c:64
> :#1  0x0000003d2c236beb in __GI_abort () at abort.c:93
> :#2  0x0000003d2ee665bd in g_assertion_message (domain=<optimized out>,
> file=<optimized out>, line=<optimized out>, func=0x3d342ef7a0
> "call_in_idle_cb", message=0x7e5980 "assertion failed: (vtable != NULL &&
> vtable->method_call != NULL)") at gtestutils.c:1358
> :#3  0x0000003d2ee66ae2 in g_assertion_message_expr (domain=0x3d342d2b81
> "GLib-GIO", file=0x3d342edd54 "gdbusconnection.c", line=4425, func=0x3d342ef7a0
> "call_in_idle_cb", expr=<optimized out>) at gtestutils.c:1369
> :#4  0x0000003d342a6146 in call_in_idle_cb (user_data=0x7f9d08028920) at
> gdbusconnection.c:4425
> :        vtable = 0x8467c0
> :        __PRETTY_FUNCTION__ = "call_in_idle_cb"
> :#5  0x0000003d2ee427ed in g_main_dispatch (context=0x7208a0) at gmain.c:2441
> :        dispatch = 0x3d2ee3e750 <g_idle_dispatch>
> :        was_in_call = 0
> :        user_data = 0x7f9d08028920
> :        callback = 0x3d342a5f70 <call_in_idle_cb>
> :        cb_funcs = 0x3d2f115c50
> :        cb_data = 0x7f9d0800dd00
> :        current_source_link = {data = 0x7f9d0803e070, next = 0x0}
> :        need_destroy = <optimized out>
> :        source = 0x7f9d0803e070
> :        current = 0x6bf840
> :        i = <optimized out>

It seems glib aborted because vtable->method_call was NULL and an bus introspect function was failed but ibus works fine in my env.
Comment 2 Jacek Pawlyta 2011-08-08 06:34:36 EDT
The problem occurs randomly, I have no idea what causes it. I'm running on kernel 3.0.1-2.fc16.x86_64 and KDE 4.6.5
Comment 3 fujiwara 2011-09-12 06:09:13 EDT
I still cannot reproduce your problem.
Are you able to reproduce your problem with a new account instead of the current user account?
It's also good to update the latest ibus:
# yum install ibus
Comment 4 fujiwara 2011-09-28 21:17:37 EDT
If you use Fedora 16, it would be good to try the beta.
http://fedoraproject.org/wiki/Releases/16/Schedule

Note You need to log in before you can comment on or make changes to this bug.